Bug 24404 - TV hotplug interrupt storm
Summary: TV hotplug interrupt storm
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: ykzhao
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords: NEEDINFO
Depends on:
Blocks:
 
Reported: 2009-10-08 12:17 UTC by Adam Jackson
Modified: 2009-12-03 05:46 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
disable the TV hotplug in course of TV detection (1.37 KB, patch)
2009-10-09 00:50 UTC, ykzhao
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Jackson 2009-10-08 12:17:17 UTC
Relevant intel-gfx thread:

http://lists.freedesktop.org/archives/intel-gfx/2009-October/004440.html

In short, at least with 2.6.31 kernels, one can not listen for hotplug interrupts usefully in the X server without also turning them off for TV outputs (for machines with an actual TV connector).  Otherwise the X server gets stuck in a loop constantly reprobing the outputs.
Comment 1 ykzhao 2009-10-09 00:50:32 UTC
Created attachment 30206 [details] [review]
disable the TV hotplug in course of TV detection

Will you please try the debug patch on the Eric's drm-intel-next tree and see whether the issue still exists?

Thanks.
Comment 2 ykzhao 2009-12-03 05:46:05 UTC
The following commit is already shipped in drm-intel-next tree. And this bug can be fixed by the following commit. So this bug will be marked as resolved.

commit 27dfaf4f5825a119305db1bc63bef30ed400e376
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Nov 20 13:22:44 2009 +0800
 
    drm/i915: disable the interrupt hotplug for integrated TV output

thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.